Subject: bug#13882: 24.2; saveplace.el limit drop least recently used

From: Kevin Ryde <[email-masked]>
Date: Sun, 10 Mar 2013 11:57:54 +1100

Karl Fogel <[email-masked]> writes:
>
> However, I think the answer to that is also clear: unsorted should be
> the default (or rather, chronologically sorted should be the default),
> and if a user wants the list alphabetized (for merge purposes), they can
> configure it so.

You'd be very tempted to let them put it through the sort program or
sort func themselves, not have any option at all.

In a merge you presumably still want the most-recent 400 visits, or
whatever limit, which would require per-entry timestamps to do properly.
And if you're not limiting it then I imagine there's no need to sort,
just concat the lot.

I wondered how well the simple save-place-loaded bit works when you've
got two running copies of emacs.  I suppose the save places of the last
one to exit will overwrite anything the others saved.  That wasn't the
aim of the "merge" was it?